System 2.0.0.0 4.0.0.0 System.Enum System.Flags

This enumeration is used in conjunction with the structure and the property.

Defines the status of an X509 chain.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the certificate trust list (CTL) contains an invalid signature.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the certificate trust list (CTL) is not valid because of an invalid time value, such as one that indicates that the CTL has expired.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the certificate trust list (CTL) is not valid for this use.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain could not be built.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain is invalid because a certificate has excluded a name constraint.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the certificate has an undefined name constraint.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the certificate has an impermissible name constraint.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the certificate does not have a supported name constraint or has a name constraint that is unsupported.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain is invalid due to invalid basic constraints.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain is invalid due to an invalid extension.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain is invalid due to invalid name constraints.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain is invalid due to invalid policy constraints.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain has no errors.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that there is no certificate policy extension in the certificate. This error would occur if a group policy has specified that all certificates must have a certificate policy.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain is invalid due to an invalid certificate signature.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Deprecated. Specifies that the CA (certificate authority) certificate and the issued certificate have validity periods that are not nested. For example, the CA cert can be valid from January 1 to December 1 and the issued certificate from January 2 to December 2, which would mean the validity periods are not nested.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain is not valid due to an invalid time value, such as a value that indicates an expired certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the key usage is not valid.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the online certificate revocation list (CRL) the X509 chain relies on is currently offline.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain could not be built up to the root certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that it is not possible to determine whether the certificate has been revoked. This can be due to the certificate revocation list (CRL) being offline or unavailable.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain is invalid due to a revoked certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatusFlags

  Specifies that the X509 chain is invalid due to an untrusted root certificate.